{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.mole.trail": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "state_check": "(math.abs(q.position_delta(0)) > 0.01|| math.abs(q.position_delta(2)) > 0.01) && query.property('silverlabs_nat:mole_state') != 'unrolled'"
            },
            {
              "state_check_baby": "(math.abs(q.position_delta(0)) > 0.01|| math.abs(q.position_delta(2)) > 0.01) && query.property('silverlabs_nat:mole_state') != 'unrolled' && q.is_baby"
            }
          ]
        },
        "state_check": {
          "on_entry": [
            "/execute positioned ~~~ unless entity @e[type=silverlabs_nat:dirt_trail,r=0.5] run summon silverlabs_nat:dirt_trail ~ ~ ~"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        },
        "state_check_baby": {
          "on_entry": [
            "/execute positioned ~~~ unless entity @e[type=silverlabs_nat:dirt_trail,r=0.5] run summon silverlabs_nat:dirt_trail ~ ~ ~ ~ ~ silverlabs_nat:baby"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        }
      }
    }
  }
}
